%define modn   ecap_clamav_adapter


Summary:       The ClamAV adapter for eCAP
Name:          ecap-clamav-adapter
Version:       0.2.1
Release:       2%{?dist}%{?pext}.frank.1
License:       GPL
Group:         System Environment/Libraries
Source0:       http://www.measurement-factory.com/tmp/ecap/%{modn}-%{version}.tar.gz
# Necessario affinche squid -k reconfigure , aka service squid reload , non vada in crash con:
# 2013/09/24 11:03:44 kid1| ERROR: failed to start essential eCAP service: ecap://e-cap.org/ecap/services/clamav?mode=REQMOD:
# Service.cc::73: !scanner
# 2013/09/24 11:03:44 kid1| FATAL: dying from an unhandled exception: Service.cc::73: !scanner
# Dovuto al fatto che squid non conosce il concetto di reload degli adapter, quindi invoca sempre un configure e non un reconfigure
# vedi https://bugs.launchpad.net/ecap/+bug/800281
Patch100:      https://launchpadlibrarian.net/73873850/reconfigure-workaround.patch
URL:           http://www.e-cap.org/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        The Measurement Factory <users@e-cap.org>
Provides:      ecap-mod(clamav) = %{version}
BuildRequires: clamav-devel libecap-devel >= 0.2
Obsoletes:     %{modn} < %{version}-%{release}


%description
The eCAP ClamAV adapter allows the host application to check for viruses and
other malicious content using the well-known ClamAV antivirus engine.


%prep
%setup -q -n %{modn}-%{version}
%patch100 -p0 -b .reconfigure


%build
%configure \
	--libdir=%{_libdir}/ecap \
	--enable-shared          \
	--disable-static

%{__make} %{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/ecap/*.la


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CREDITS INSTALL LICENSE NOTICE README
%dir %{_libdir}/ecap
%{_libdir}/ecap/%{modn}.so


%changelog
* Wed Sep 07 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.2.1-2
- Renamed package (no underscores)

* Tue Sep 06 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.2.1-1
- Initial build
